Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

compliance_id
string<uuid>
required

The id of the compliance application

Example:

"a3f1c2d4-5e6b-4c7d-8e9f-0a1b2c3d4e5f"

Response

Compliance application

id
string<uuid>

Unique identifier of the compliance application. Pass it as compliance_application_id when buying a phone number.

Example:

"a3f1c2d4-5e6b-4c7d-8e9f-0a1b2c3d4e5f"

first_name
string

First name of the applicant

Example:

"Jane"

last_name
string

Last name of the applicant

Example:

"Doe"

company_name
string

Registered business name

Example:

"Acme Technologies Pvt Ltd"

gst_number
string

GST registration number

Example:

"29ABCDE1234F1Z5"

status
string

Review status of the application:

  • submitted — under review
  • accepted — approved; you can buy phone numbers under this application
  • rejected — not approved; see rejection_reason
Example:

"accepted"

app_name
string

Alias of the application with the telephony provider. Currently returned only by the list compliance applications API.

Example:

"compliance_application_a3f1c2d4-5e6b-4c7d-8e9f-0a1b2c3d4e5f"

created_at
string<date-time>

Time the application was submitted (UTC)

Example:

"2026-10-10T09:15:42.123456"

updated_at
string<date-time>

Time the application was last updated (UTC)

Example:

"2026-10-10T18:02:11.654321"

rejection_reason
string | null

Reason the application was rejected. null unless status is rejected.

Example:

null

humanized_created_at
string

Human-readable time since the application was submitted

Example:

"2 days ago"